Subject: bug#61184: 29.0.60; keymap-local-set and keymap-global-set became less strict

From: Stefan Monnier <[email-masked]>
Date: Mon, 30 Jan 2023 16:45:56 -0500

> I think what Lars had in mind with a strict string-only API for
> keymap.el, since this creates a consistent picture for keymap
> definitions. I agree that internally the vectors are not going away and
> that is okay, but this does not prohibit creating the more strict
> superficial string only API.

It's still a PITA when you have a vector and you need to pass it to
a function which happens to be usually receiving its data from end-users
and hence passes its inputs through `key-parse`.

Accepting vectors in `key-parse` doesn't prevent the construction of
a consistent picture where end users only need to know about
KBD-style strings.

        Stefan